
Smart Proxy - Feature #10115

Have the smart proxy report the actual fingerprint of the certificates, not just the hashing algorithm

04/10/2015 03:37 PM - Xavier L

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently the smart-proxy parses and returns only the hashing algorithm of the fingerprint the certificates managed through the

puppet CA (source:modules/puppetca/puppetca_main.rb#L151). It should also get the actual fingerprint, as the information is

available, and it would allow the fingerprint on the puppet CA to be matched with the fingerprint on the puppet node before signing it

(that would require some changes to foreman as well).

I'd be willing to do the patch and submit a pull request.

History

#1 - 04/13/2015 03:32 AM - Dominic Cleal

- Category set to Puppet

Thanks for the offer.  http://theforeman.org/contribute.html has some general information, but if you need any help, please do e-mail the foreman-dev

mailing list, hop onto #theforeman-dev on Freenode or ask for help on the PR.

#2 - 09/03/2015 04:28 AM - Robert Rauch

I am also looking for this one. Is there any progress on this issue?
